Retrieve all InfiniBand Interfaces

View as Markdown

Get all InfiniBand Interfaces

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdstringOptional
Filter InfiniBand Interfaces by Site ID. Can be specified multiple times to filter on more than one ID.
instanceIdstringOptional
Filter InfiniBand Interfaces by Instance ID. Can be specified multiple times to filter on more than one ID.
infinibandPartitionIdstringOptional
Filter InfiniBand Interfaces by InfiniBand Partition ID. Can be specified multiple times to filter on more than one ID.
statusstringOptional
Filter InfiniBand Interfaces by Status. Can be specified multiple times to filter on more than one status.
includeRelationenumOptional
Related entity to expand
Allowed values:
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
idstringOptionalformat: "uuid">=1 character
Unique UUID v4 identifier for the InfiniBandInterface
instanceIdstringOptionalformat: "uuid"
ID of the associated Instance
partitionIdstringOptionalformat: "uuid"
ID of the InfiniBand Partition associated with this interface
devicestringOptional
Name of the InfiniBand device associated with this interface
vendorstring or nullOptional
Name of the InfiniBand device vendor associated with this interface
deviceInstanceintegerOptional
Index of the device where partition attach to
isPhysicalbooleanOptional
Indicates whether this is a physical interface
virtualFunctionIdinteger or nullOptional
Must be specified if isPhysical is false
guidstring or nullOptional
Must be specified if isPhysical is false
statusenumOptional
Status of the InfiniBandInterface
createddatetimeOptionalRead-only

Date/time when the InfiniBandInterface was created

updateddatetimeOptionalRead-only

Date/time when the InfiniBandInterface was last updated

Errors

403
Forbidden Error